// Generated from `org-entities` in org-20200716 with:
//
//   (mapconcat (lambda (e)
//               (if (listp e)
//                   (format "'%s': r'%s'" (car e) (car (last e)))
//                 (format "// %s" e)))
//             org-entities
//             ",\n")

const Map<String, String> orgDefaultEntityReplacements = {
  // * Letters,
  // ** Latin,
  'Agrave': r'À',
  'agrave': r'à',
  'Aacute': r'Á',
  'aacute': r'á',
  'Acirc': r'Â',
  'acirc': r'â',
  'Amacr': r'Ã',
  'amacr': r'ã',
  'Atilde': r'Ã',
  'atilde': r'ã',
  'Auml': r'Ä',
  'auml': r'ä',
  'Aring': r'Å',
  'AA': r'Å',
  'aring': r'å',
  'AElig': r'Æ',
  'aelig': r'æ',
  'Ccedil': r'Ç',
  'ccedil': r'ç',
  'Egrave': r'È',
  'egrave': r'è',
  'Eacute': r'É',
  'eacute': r'é',
  'Ecirc': r'Ê',
  'ecirc': r'ê',
  'Euml': r'Ë',
  'euml': r'ë',
  'Igrave': r'Ì',
  'igrave': r'ì',
  'Iacute': r'Í',
  'iacute': r'í',
  'Icirc': r'Î',
  'icirc': r'î',
  'Iuml': r'Ï',
  'iuml': r'ï',
  'Ntilde': r'Ñ',
  'ntilde': r'ñ',
  'Ograve': r'Ò',
  'ograve': r'ò',
  'Oacute': r'Ó',
  'oacute': r'ó',
  'Ocirc': r'Ô',
  'ocirc': r'ô',
  'Otilde': r'Õ',
  'otilde': r'õ',
  'Ouml': r'Ö',
  'ouml': r'ö',
  'Oslash': r'Ø',
  'oslash': r'ø',
  'OElig': r'Œ',
  'oelig': r'œ',
  'Scaron': r'Š',
  'scaron': r'š',
  'szlig': r'ß',
  'Ugrave': r'Ù',
  'ugrave': r'ù',
  'Uacute': r'Ú',
  'uacute': r'ú',
  'Ucirc': r'Û',
  'ucirc': r'û',
  'Uuml': r'Ü',
  'uuml': r'ü',
  'Yacute': r'Ý',
  'yacute': r'ý',
  'Yuml': r'Ÿ',
  'yuml': r'ÿ',
  // ** Latin (special face),
  'fnof': r'ƒ',
  'real': r'ℜ',
  'image': r'ℑ',
  'weierp': r'℘',
  'ell': r'ℓ',
  'imath': r'ı',
  'jmath': r'ȷ',
  // ** Greek,
  'Alpha': r'Α',
  'alpha': r'α',
  'Beta': r'Β',
  'beta': r'β',
  'Gamma': r'Γ',
  'gamma': r'γ',
  'Delta': r'Δ',
  'delta': r'δ',
  'Epsilon': r'Ε',
  'epsilon': r'ε',
  'varepsilon': r'ε',
  'Zeta': r'Ζ',
  'zeta': r'ζ',
  'Eta': r'Η',
  'eta': r'η',
  'Theta': r'Θ',
  'theta': r'θ',
  'thetasym': r'ϑ',
  'vartheta': r'ϑ',
  'Iota': r'Ι',
  'iota': r'ι',
  'Kappa': r'Κ',
  'kappa': r'κ',
  'Lambda': r'Λ',
  'lambda': r'λ',
  'Mu': r'Μ',
  'mu': r'μ',
  'nu': r'ν',
  'Nu': r'Ν',
  'Xi': r'Ξ',
  'xi': r'ξ',
  'Omicron': r'Ο',
  'omicron': r'ο',
  'Pi': r'Π',
  'pi': r'π',
  'Rho': r'Ρ',
  'rho': r'ρ',
  'Sigma': r'Σ',
  'sigma': r'σ',
  'sigmaf': r'ς',
  'varsigma': r'ς',
  'Tau': r'Τ',
  'Upsilon': r'Υ',
  'upsih': r'ϒ',
  'upsilon': r'υ',
  'Phi': r'Φ',
  'phi': r'ɸ',
  'varphi': r'φ',
  'Chi': r'Χ',
  'chi': r'χ',
  'acutex': r'𝑥́',
  'Psi': r'Ψ',
  'psi': r'ψ',
  'tau': r'τ',
  'Omega': r'Ω',
  'omega': r'ω',
  'piv': r'ϖ',
  'varpi': r'ϖ',
  'partial': r'∂',
  // ** Hebrew,
  'alefsym': r'ℵ',
  'aleph': r'ℵ',
  'gimel': r'ℷ',
  'beth': r'ב',
  'dalet': r'ד',
  // ** Dead languages,
  'ETH': r'Ð',
  'eth': r'ð',
  'THORN': r'Þ',
  'thorn': r'þ',
  // * Punctuation,
  // ** Dots and Marks,
  'dots': r'…',
  'cdots': r'⋯',
  'hellip': r'…',
  'middot': r'·',
  'iexcl': r'¡',
  'iquest': r'¿',
  // ** Dash-like,
  'shy': r'',
  'ndash': r'–',
  'mdash': r'—',
  // ** Quotations,
  'quot': r'\"',
  'acute': r'´',
  'ldquo': r'“',
  'rdquo': r'”',
  'bdquo': r'„',
  'lsquo': r'‘',
  'rsquo': r'’',
  'sbquo': r'‚',
  'laquo': r'«',
  'raquo': r'»',
  'lsaquo': r'‹',
  'rsaquo': r'›',
  // * Other,
  // ** Misc. (often used),
  'circ': r'∘',
  'vert': r'|',
  'vbar': r'|',
  'brvbar': r'¦',
  'S': r'§',
  'sect': r'§',
  'amp': r'&',
  'lt': r'<',
  'gt': r'>',
  'tilde': r'~',
  'slash': r'/',
  'plus': r'+',
  'under': r'_',
  'equal': r'=',
  'asciicirc': r'^',
  'dagger': r'†',
  'dag': r'†',
  'Dagger': r'‡',
  'ddag': r'‡',
  // ** Whitespace,
  'nbsp': r' ',
  'ensp': r' ',
  'emsp': r' ',
  'thinsp': r' ',
  // ** Currency,
  'curren': r'¤',
  'cent': r'¢',
  'pound': r'£',
  'yen': r'¥',
  'euro': r'€',
  'EUR': r'€',
  'dollar': r'$',
  'USD': r'$',
  // ** Property Marks,
  'copy': r'©',
  'reg': r'®',
  'trade': r'™',
  // ** Science et al.,
  'minus': r'−',
  'pm': r'±',
  'plusmn': r'±',
  'times': r'×',
  'frasl': r'⁄',
  'colon': r':',
  'div': r'÷',
  'frac12': r'½',
  'frac14': r'¼',
  'frac34': r'¾',
  'permil': r'‰',
  'sup1': r'¹',
  'sup2': r'²',
  'sup3': r'³',
  'radic': r'√',
  'sum': r'∑',
  'prod': r'∏',
  'micro': r'µ',
  'macr': r'¯',
  'deg': r'°',
  'prime': r'′',
  'Prime': r'″',
  'infin': r'∞',
  'infty': r'∞',
  'prop': r'∝',
  'propto': r'∝',
  'not': r'¬',
  'neg': r'¬',
  'land': r'∧',
  'wedge': r'∧',
  'lor': r'∨',
  'vee': r'∨',
  'cap': r'∩',
  'cup': r'∪',
  'smile': r'⌣',
  'frown': r'⌢',
  'int': r'∫',
  'therefore': r'∴',
  'there4': r'∴',
  'because': r'∵',
  'sim': r'∼',
  'cong': r'≅',
  'simeq': r'≅',
  'asymp': r'≈',
  'approx': r'≈',
  'ne': r'≠',
  'neq': r'≠',
  'equiv': r'≡',
  'triangleq': r'≜',
  'le': r'≤',
  'leq': r'≤',
  'ge': r'≥',
  'geq': r'≥',
  'lessgtr': r'≶',
  'lesseqgtr': r'⋚',
  'll': r'≪',
  'Ll': r'⋘',
  'lll': r'⋘',
  'gg': r'≫',
  'Gg': r'⋙',
  'ggg': r'⋙',
  'prec': r'≺',
  'preceq': r'≼',
  'preccurlyeq': r'≼',
  'succ': r'≻',
  'succeq': r'≽',
  'succcurlyeq': r'≽',
  'sub': r'⊂',
  'subset': r'⊂',
  'sup': r'⊃',
  'supset': r'⊃',
  'nsub': r'⊄',
  'sube': r'⊆',
  'nsup': r'⊅',
  'supe': r'⊇',
  'setminus': r'⧵',
  'forall': r'∀',
  'exist': r'∃',
  'exists': r'∃',
  'nexist': r'∄',
  'nexists': r'∄',
  'empty': r'∅',
  'emptyset': r'∅',
  'isin': r'∈',
  'in': r'∈',
  'notin': r'∉',
  'ni': r'∋',
  'nabla': r'∇',
  'ang': r'∠',
  'angle': r'∠',
  'perp': r'⊥',
  'parallel': r'∥',
  'sdot': r'⋅',
  'cdot': r'⋅',
  'lceil': r'⌈',
  'rceil': r'⌉',
  'lfloor': r'⌊',
  'rfloor': r'⌋',
  'lang': r'⟨',
  'rang': r'⟩',
  'langle': r'⟨',
  'rangle': r'⟩',
  'hbar': r'ℏ',
  'mho': r'℧',
  // ** Arrows,
  'larr': r'←',
  'leftarrow': r'←',
  'gets': r'←',
  'lArr': r'⇐',
  'Leftarrow': r'⇐',
  'uarr': r'↑',
  'uparrow': r'↑',
  'uArr': r'⇑',
  'Uparrow': r'⇑',
  'rarr': r'→',
  'to': r'→',
  'rightarrow': r'→',
  'rArr': r'⇒',
  'Rightarrow': r'⇒',
  'darr': r'↓',
  'downarrow': r'↓',
  'dArr': r'⇓',
  'Downarrow': r'⇓',
  'harr': r'↔',
  'leftrightarrow': r'↔',
  'hArr': r'⇔',
  'Leftrightarrow': r'⇔',
  'crarr': r'↵',
  'hookleftarrow': r'↵',
  // ** Function names,
  'arccos': r'arccos',
  'arcsin': r'arcsin',
  'arctan': r'arctan',
  'arg': r'arg',
  'cos': r'cos',
  'cosh': r'cosh',
  'cot': r'cot',
  'coth': r'coth',
  'csc': r'csc',
  // Duplicate from org-entities manually disabled (dups not allowed in hashmap)
  // 'deg': r'deg',
  'det': r'det',
  'dim': r'dim',
  'exp': r'exp',
  'gcd': r'gcd',
  'hom': r'hom',
  'inf': r'inf',
  'ker': r'ker',
  'lg': r'lg',
  'lim': r'lim',
  'liminf': r'liminf',
  'limsup': r'limsup',
  'ln': r'ln',
  'log': r'log',
  'max': r'max',
  'min': r'min',
  'Pr': r'Pr',
  'sec': r'sec',
  'sin': r'sin',
  'sinh': r'sinh',
  // Duplicate from org-entities manually disabled (dups not allowed in hashmap)
  // 'sup': r'sup',
  'tan': r'tan',
  'tanh': r'tanh',
  // ** Signs & Symbols,
  'bull': r'•',
  'bullet': r'•',
  'star': r'⋆',
  'lowast': r'∗',
  'ast': r'*',
  'odot': r'ʘ',
  'oplus': r'⊕',
  'otimes': r'⊗',
  'check': r'✓',
  'checkmark': r'✓',
  // ** Miscellaneous (seldom used),
  'para': r'¶',
  'ordf': r'ª',
  'ordm': r'º',
  'cedil': r'¸',
  'oline': r'‾',
  'uml': r'¨',
  'zwnj': r'‌',
  'zwj': r'‍',
  'lrm': r'‎',
  'rlm': r'‏',
  // ** Smilies,
  'smiley': r'☺',
  'blacksmile': r'☻',
  'sad': r'☹',
  'frowny': r'☹',
  // ** Suits,
  'clubs': r'♣',
  'clubsuit': r'♣',
  'spades': r'♠',
  'spadesuit': r'♠',
  'hearts': r'♥',
  'heartsuit': r'♥',
  'diams': r'◆',
  'diamondsuit': r'◆',
  'diamond': r'◆',
  'Diamond': r'◆',
  'loz': r'⧫',
  '_ ': r' ',
  '_  ': r'  ',
  '_   ': r'   ',
  '_    ': r'    ',
  '_     ': r'     ',
  '_      ': r'      ',
  '_       ': r'       ',
  '_        ': r'        ',
  '_         ': r'         ',
  '_          ': r'          ',
  '_           ': r'           ',
  '_            ': r'            ',
  '_             ': r'             ',
  '_              ': r'              ',
  '_               ': r'               ',
  '_                ': r'                ',
  '_                 ': r'                 ',
  '_                  ': r'                  ',
  '_                   ': r'                   ',
  '_                    ': r'                    '
};
